## ros-crystal-gazebo-ros 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gazebo_ros)


# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tinyxml_vendor REQUIRED)

include_directories(
  include
  ${gazebo_dev_INCLUDE_DIRS}
)

# gazebo_ros_node
add_library(gazebo_ros_node SHARED
  src/executor.cpp
  src/node.cpp
)
ament_target_dependencies(gazebo_ros_node
  "gazebo_dev"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_node)

# gazebo_ros_utils
add_library(gazebo_ros_utils SHARED
  src/utils.cpp
)
ament_target_dependencies(gazebo_ros_utils
  "gazebo_dev"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_utils)

# gazebo_ros_init
add_library(gazebo_ros_init SHARED
  src/gazebo_ros_init.cpp
)
ament_target_dependencies(gazebo_ros_init
  "builtin_interfaces"
  "gazebo_dev"
  "rclcpp"
  "std_srvs"
)
target_link_libraries(gazebo_ros_init
  gazebo_ros_node
  gazebo_ros_utils
)
ament_export_libraries(gazebo_ros_init)

# gazebo_ros_factory
add_library(gazebo_ros_factory SHARED
  src/gazebo_ros_factory.cpp
)
ament_target_dependencies(gazebo_ros_factory
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_factory
  gazebo_ros_node
  gazebo_ros_utils
)
ament_export_libraries(gazebo_ros_factory)

# gazebo_ros_state
add_library(gazebo_ros_state SHARED
  src/gazebo_ros_state.cpp
)
ament_target_dependencies(gazebo_ros_state
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_state
  gazebo_ros_node
)
ament_export_libraries(gazebo_ros_state)

ament_export_include_directories(include)
ament_export_dependencies(rclcpp)
ament_export_dependencies(gazebo_dev)

if(BUILD_TESTING)
  add_subdirectory(test)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

install(DIRECTORY include/
        DESTINATION include)

install(
  TARGETS
    gazebo_ros_factory
    gazebo_ros_init
    gazebo_ros_node
    gazebo_ros_state
    gazebo_ros_utils
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

# Plugins
set(plugins
  args_init
  create_node_without_init
  multiple_nodes
  ros_world_plugin
  sdf_node
)

foreach(plugin ${plugins})
  add_library(${plugin} SHARED plugins/${plugin}.cpp)
  target_link_libraries(${plugin} gazebo_ros_node)
  ament_target_dependencies(${plugin}
    "rclcpp"
    "gazebo_dev"
    "std_msgs"
  )
endforeach()

# Worlds
file(COPY worlds DESTINATION .)

# Tests
set(tests
  test_conversions
  test_gazebo_ros_factory
  test_gazebo_ros_init
  test_gazebo_ros_state
  test_node
  test_plugins
  test_sim_time
  test_utils
)

foreach(test ${tests})
  ament_add_gtest(${test}
    ${test}.cpp
    WORKING_DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}
    # Long timeout because has to run gazebo several times
    TIMEOUT
      120
  )
  target_link_libraries(${test}
    gazebo_ros_node
    gazebo_ros_utils
    gazebo_test_fixture
  )
  ament_target_dependencies(${test}
    "builtin_interfaces"
    "gazebo_dev"
    "gazebo_msgs"
    "geometry_msgs"
    "rclcpp"
    "sensor_msgs"
    "std_msgs"
    "std_srvs"
  )
endforeach()

=== debian/changelog ===
ros-crystal-gazebo-ros (3.2.0-0bionic) bionic; urgency=high

  * [ros2] Disable test_node to clean CI (#901 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/901>)
    * [ros2] Disable test_node to clean CI
    * uncrustify
  * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
  * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
  * Fix Windows conflicting macros and missing usleep (#885 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/885>)
    * Fix conflicting Windows macros and missing usleep
    * fix spacing
    * fix spacing again
    * remove lint
  * Call rclcpp::init() only from gazebo_ros_init (#859 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/859>)
  * [ros] Revert sim time test (#853 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/853>)
  * Contributors: Jonathan Noyola, Tamaki Nishino, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Mar 2019 07:00:00 -0000

ros-crystal-gazebo-ros (3.1.0-0bionic) bionic; urgency=high

  * [ros2] Camera and triggered camera (#827 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/827>)
    * move gazebo_ros_camera and some functionality from gazebo_ros_camera_utils, needs master branch of image_transport and message_filters, not functional, but compiling
    * port PutCameraData, needs common_interfaces PR #58 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/58>
    * move camera worlds, fix compilation, image can be seen on RViz
    * Port camera test: simplify world, use ServerFixture for better control and not to need launch - test is hanging on exit, not sure why
    * fix test hanging on exit
    * port camera16bit test and fix world copying on make
    * Start porting camera distortion tests: must port cam_info, 2nd test failing
    * sortout camera_name and frame_name
    * Port gazebo_ros_camera_triggered as part of gazebo_ros_camera, with test
    * Use camera_info_manager from branch ci_manager_port_louise, enable barrel distortion test - passes but segfaults at teardown, could be a problem with having 2 plugins side-by-side.
    * linters and comment out crashing test
    * Demo worlds, doxygen, more node tests
    * Use image_transport remapping
    * adapt to new image_transport pointer API
    * new API
  * fix rclcpp::init when there are no arguments
  * [ros2] Adapt sim time test to work around rclcpp issue
  * Contributors: Louise Poubel, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-gazebo-ros (3.0.0-0bionic) bionic; urgency=high

  * [ros2] Port spawn/delete methods   (#808 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/808>)
    * First port of ROS2 of factory method. Still a work in progress
    * Install gazebo_ros_factory
    * Changes proposed by uncrustify
    * Make cpplint happy
    * Remove unneded header
    * fix merge
    * remove ported ROS 1 code
    * SpawnEntity service, initialize after world is created, remove XML strip since it's not needed, simplify Is* functions
    * support robot_namespace inside <plugin><ros><namespace>
    * a bit more tweaks and cleanup
    * Use libsdformat to parse the XML, instead of tinyxml, significantly reducing the code
    * uncrustify
    * port delete services
    * linters
    * spawn and delete tests, must check light test
    * fix spawning lights, compile error for non implemented conversions, linters
  * [ros2] Port diff_drive plugin to ros2 (#806 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/806>)
    * copy gazebo_ros_diff_drive files from unported
    * Fix copy and paste error for exporting  gazebo_ros_joint_state_publisher
    * Add gazebo_ros_diff_drive to CMakeLists.txt
    * Basic structures updated
    includes updated
    include guards updated
    CMake rules added
    Not compiling yet
    * starting deboostifying
    updating lock
    header passing compile
    diff drive plugin compiling
    clear all references to callback queue
    * pimpl, remove joint state publisher
    * documentation, add TF publishers - commands and publishers work, but visualization on RViz is jerky, must check
    * pass linters
    * check that reset works now, rename params, add missing package
    * remap topics, add pub/sub test
    * sleep longer to see if it passes on Jenkins
  * Remove node_name from <ros> SDF tag (#804 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/804>)
    * Rename Node::Create to Node::Get
    * Node::Get without node name
    * Remove node_name support from SDF
    * wip get name from plugin name
    * Remove node name argument (will be inferred from sdf)
    * fix tests and implement static shared node
    * Adding test file
  * [ros2] Split conversions into headers specific to message packages (#803 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/803>)
    * Tests depend on sensor_msgs
    * Move conversions to different headers to minimise deps brought in
    * Remove conversions namespace
    * Include updates
    * Update message package dependencies
    gazebo_ros doesn't need sensor_msgs or geometry_msgs anymore
    * Export msg pacakges so downstream packages depend
    * Include msg headers used directly
    * removing redundant dependencies
    * fix build and cpplint
  * working demo, notes and warnings about issues
  * fix build by adding includes
  * Test correctness of ray_sensor intensity
  * Add Point32->ign vector conversion, fix pointcloud conversion
  * Simplify ray_sensor using gazebo_ros conversions
  * Add LaserScan conversions to gazebo_ros
  * [ros2] Add clock publisher to gazebo_ros_init for use_sim_time support (#794 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/794>)
    * Add Throttler to gazebo_ros utilities
    * Add sim time to gazebo_ros_init


=== debian/control ===
Source: ros-crystal-gazebo-ros
Section: misc
Priority: extra
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-builtin-interfaces, ros-crystal-gazebo-dev, ros-crystal-gazebo-msgs, ros-crystal-geometry-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-std-srvs, ros-crystal-tinyxml-vendor, ros-crystal-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-crystal-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-builtin-interfaces, ros-crystal-gazebo-dev, ros-crystal-gazebo-msgs, ros-crystal-geometry-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-srvs, ros-crystal-tinyxml-vendor, ros-crystal-ros-workspace
Description: Utilities to interface with Gazebo through ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-gazebo-ros//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
